Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.exceptions
Class TopLinkException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.toplink.exceptions.TopLinkException`

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CacheSynchCommunicationException, CacheSynchronizationException, CommunicationException, ConcurrencyException, ConversionException, DatabaseException, DefaultMappingException, EJBJarXMLException, EJBQLException, EntityManagerSetupException, JDOException, JMSProcessingException, MigrationUtilityException, OptimisticLockException, RemoteCommandManagerException, SessionLoaderException, SynchronizationException, TransactionException, ValidationException, XMLConversionException, XMLPlatformException

public abstract class TopLinkException
extends java.lang.RuntimeException

Purpose: Any exception raised by TopLink should be a subclass of this exception class.

See Also:
  Serialized Form

Method Summary
`int` | `getErrorCode()` PUBLIC: Return the exception error code.
`java.lang.Throwable` | `getInternalException()` PUBLIC: Return the internal native exception.
`java.lang.String` | `getMessage()` PUBLIC: Return the exception error message.
`Session` | `getSession()` PUBLIC: Return the session.
`void` | `printStackTrace()` PUBLIC: Print both the normal and internal stack traces.
`void` | `printStackTrace(java.io.PrintStream outStream)` PUBLIC: Print both the normal and internal stack traces.
`void` | `printStackTrace(java.io.PrintWriter writer)` PUBLIC: Print both the normal and internal stack traces.
`static void` | `setShouldPrintInternalException(boolean printException)` PUBLIC: Allows overiding of TopLink's exception chaining detection.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getErrorCode

    public int getErrorCode()

  PUBLIC: Return the exception error code.

### getInternalException

    public java.lang.Throwable getInternalException()

  PUBLIC: Return the internal native exception. TopLink frequently catches Java exceptions and wraps them in its own exception classes to provide more information. The internal exception can still be accessed if required.

### getMessage

    public java.lang.String getMessage()

  PUBLIC: Return the exception error message. TopLink error messages are multi-line so that detail descriptions of the exception are given.

### getSession

    public Session getSession()

  PUBLIC: Return the session.

### printStackTrace

    public void printStackTrace()

  PUBLIC: Print both the normal and internal stack traces.

### printStackTrace

    public void printStackTrace(java.io.PrintStream outStream)

  PUBLIC: Print both the normal and internal stack traces.

### printStackTrace

    public void printStackTrace(java.io.PrintWriter writer)

  PUBLIC: Print both the normal and internal stack traces.

### setShouldPrintInternalException

    public static void setShouldPrintInternalException(boolean printException)

  PUBLIC: Allows overiding of TopLink's exception chaining detection.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD